PSQ Connection Error w/ 4.15.13

Questions and discussion about PokerTracker 4 for Windows

Moderators: WhiteRider, kraada, Flag_Hippo, morny

PSQ Connection Error w/ 4.15.13

Postby TheTender31 » Mon Oct 07, 2019 5:15 pm

Hey,

I updated to the newest version and can no start PT4. It says I cannot connect to postgres (says there is a connection error, advises restarting postgres service, did that, restarted computer, still won't start/connect). All of my firewall exceptions are implemented. I reinstalled 4.15.12 and no issues now.

Anyone else having this issue/how do I resolve it?
TheTender31
 
Posts: 2
Joined: Thu Sep 27, 2018 8:19 pm

Re: PSQ Connection Error w/ 4.15.13

Postby WhiteRider » Tue Oct 08, 2019 3:12 am

Please tell us which PostgreSQL version you have? You can see that in the Database > Database Management window.
Please also tell us what operating system (Windows or Mac, and the version) you're using?
WhiteRider
Moderator
 
Posts: 53416
Joined: Sat Jan 19, 2008 7:06 pm
Location: UK

Re: PSQ Connection Error w/ 4.15.13

Postby TheTender31 » Wed Oct 09, 2019 10:23 am

WhiteRider wrote:Please tell us which PostgreSQL version you have? You can see that in the Database > Database Management window.
Please also tell us what operating system (Windows or Mac, and the version) you're using?

PostgresSQL v9.3.17
Windows 10 OS
TheTender31
 
Posts: 2
Joined: Thu Sep 27, 2018 8:19 pm

Re: PSQ Connection Error w/ 4.15.13

Postby WhiteRider » Thu Oct 10, 2019 2:04 am

Thanks - that's a really common setup so I'm not sure why it wouldn't be working.

You could try updating to the latest 9.3 version - currently 9.3.25.
https://www.enterprisedb.com/downloads/ ... -downloads

If you still have the problem please enable logging (Configure > Options) and update to v4.15.13 again and run it, then attach the PokerTracker4.log file from C:\Users\yourname\AppData\Local\PokerTracker 4\Logs (which you can access from the PT4 File menu) to a Support Ticket after the problem occurs.

Tutorial: Reporting a problem
WhiteRider
Moderator
 
Posts: 53416
Joined: Sat Jan 19, 2008 7:06 pm
Location: UK

Re: PSQ Connection Error w/ 4.15.13

Postby Ruante » Tue Oct 15, 2019 4:25 am

I have a user with the same problem after updating to 4.15.13. In his case changing server from "localhost" to "127.0.0.1" solved the problem.
Ruante
 
Posts: 4
Joined: Tue Dec 30, 2008 6:36 pm

Re: PSQ Connection Error w/ 4.15.13

Postby Crazie » Wed Oct 16, 2019 6:51 pm

This problem has occured for me aswell, it happend at 00:00 2019-10-17, I've deleted postgres, reinstalled it, did the same with pokertracker4 and the issue is still there.


Changing from localhost to 127.0.01 didn't solve the problem for me.
Crazie
 
Posts: 2
Joined: Wed Apr 05, 2017 6:28 pm

Re: PSQ Connection Error w/ 4.15.13

Postby Crazie » Wed Oct 16, 2019 7:14 pm

What worked for me in the end was during the installtion of postgreSQL, when it asks what password to set I set it as dbpass , since in the logfiles of PT4 it said it was the wrong password when I tried with my own. After that "localhost" didn't work but "127.0.0.1" did.
Crazie
 
Posts: 2
Joined: Wed Apr 05, 2017 6:28 pm


Return to PokerTracker 4

Who is online

Users browsing this forum: No registered users and 8 guests

cron
highfalutin